=== modified file 'ivle/webapp/admin/user.py'
--- ivle/webapp/admin/user.py	2009-06-29 10:10:15 +0000
+++ ivle/webapp/admin/user.py	2009-06-29 10:17:13 +0000
@@ -127,6 +127,14 @@
         if self.context is None:
             raise NotFound()
 
+    def authorize(self, req):
+        """Only allow access if the requesting user holds the permission,
+           and the target user has a password set. Otherwise we might be
+           clobbering external authn.
+        """
+        return super(PasswordChangeView, self).authorize(req) and \
+               self.context.passhash is not None
+
     def populate(self, req, ctx):
         error = None
         if req.method == 'POST':

